using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;

namespace Consulenza.ReportWriter.Manager.Chapter.Immobiliare.MappaturaPreliminare
{
    public class S4 : Entity.Chapter
    {
        public S4(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S4(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }


        protected override sealed void Draw()
        {
            // Aggiungo la pagina
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));

            // Intestazione          
            var intestazione = new FormattedTextAreaPDF("Dettaglio terreni", EnvironmentFacade.RendererFacade.XLeftLimit) { FontSize = 16, FontColor = ColorPDF.Immobiliare_Grigio_TitoloGrande, AutoIncrementYWritable = false, FontBold = true };

            // Aggiungo gli elementi
            AddElement(intestazione);
        }
    }
}
